#!/bin/sh

################################################################################
#    Config 1.0. Configuration Server for an Exim Mailsystem                   #
#    Using DB Framwork for PHP  1.1.                                           #
#    Copyright (C) 2006 Luca Bertoncello                                       #
#    Hartigstrasse, 12 - 01127 Dresden Deutschland                             #
#    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       #
#    http://www.lucabert.de/  http://www.lucabert.com/                         #
#                                                                              #
#    This program is free software; you can redistribute it and/or modify      #
#    it under the terms of the GNU General Public License as published by      #
#    the Free Software Foundation; version 2 of the License.                   #
#                                                                              #
#    This program is distributed in the hope that it will be useful,           #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of            #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             #
#    GNU General Public License for more details.                              #
#                                                                              #
#    You should have received a copy of the GNU General Public License         #
#    along with this program; if not, write to the Free Software               #
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA #
################################################################################

###########################
# Your paths              #
###########################
EXIMBASEDIR=/opt/exim
EXIMLOGDIR=/var/log
EXIMSTATSDIR=/path/to/your/document_root/eximstats

######################################
# Don't make changes after this line #
######################################
$EXIMBASEDIR/bin/eximstats -charts -chartdir $EXIMSTATSDIR/ -chartrel /eximstats/ \
-nr -t10 -t_remote_users -include_original_destination \
-pattern "Refused from invalid Servers (SPF)" /SPF\ check\ failed\./ \
-pattern "Refused from blocked Servers" /your\ host\ is\ blocked/ \
-pattern "Refused from blocked Addresses" /sender\ blocked/ \
-pattern "Refused from dynamic IPs" /We\ do\ not\ accept\ SMTP\ Queries\ from\ dynamic\ IPs/ \
-pattern "Refused from Servers in RBLs" /\ is\ in\ a\ black\ list\ at\ / \
-pattern "Refused due to unknown user" /unknown\ user/ \
-pattern "Refused due to invalid/bad HELO-EHLO" /\ HELO/ \
-pattern "Refused due to invalid/bad DomainKey signature" /\ PDK/ \
-pattern "Refused due to huge size" /PDS01/ \
-pattern "Refused due to huge size (user's setting)" /PDS02/ \
-pattern "Dropped at AUTH time" /\ PRA/ \
-pattern "Refused E-Mail with Virus" /This\ message\ contains\ malware/ \
-pattern "Marked as Spam" /R\=localWriteSpamVirus_gw/ \
-pattern "Relay tryes" /relay\ not\ permitted/ \
-pattern "Greylisted" /Greylisted\ 180/ \
-pattern "Rejected Spam" /This\ message\ exceeded\ maximal\ spam\ score/ \
-pattern "E-Mail for extraMX" /R\=extramx_gw/ \
-html=$EXIMSTATSDIR/index.html $EXIMLOGDIR/exim_mainlog.01 > /dev/null
