<?php
/**
 * DB-Class für aliases
 */
class Aliases extends myMVC_BaseDB
{
  public function __construct()
  {
    parent::__construct('aliases',
                        array('accountname'           => 'Aliases::checkString255NotNull',
                              'domainname'            => 'Aliases::checkString255NotNull',
                              'aliasname'             => 'Aliases::checkString255NotNull',
                        ),
                        array('accountname' => 'pk', 'domainname' => 'pk', 'aliasname' => 'pk'),
                        array());
    $this->registerFinder('findAll', array(), array());
    $this->registerFinder('findByAccountname', array('accountname' => 'EQUAL'), array());
    $this->registerFinder('findByDomainname', array('domainname' => 'EQUAL'), array());
    $this->registerCounter('getCountAll', array(), array());
    $this->registerCounter('getCountByAccountname', array('accountname' => 'EQUAL'), array());
    $this->registerCounter('getCountByDomainname', array('domainname' => 'EQUAL'), array());
  }

  public static function searchAliases($accountname, $search)
  {
    $db = new Aliases();
    $ret = array();
    $res = $db->findBySQLQuery(sprintf('SELECT * FROM aliases WHERE accountname = %s AND
                                        (aliasname LIKE %s OR domainname LIKE %s)
                                        ORDER BY domainname ASC, aliasname ASC',
                          $db->engine->quoteSqlString($accountname),
                          $db->engine->quoteSqlStringForLike($search),
                          $db->engine->quoteSqlStringForLike($search)));
    while($row = $db->engine->getValueArrayFromResult($res))
    {
      $rowClass = new Aliases();
      $rowClass->saveValues($row);
      array_push($ret, $rowClass);
    }
    $db->engine->freeResult($res);
    return $ret;
  }
}
?>