<?php
/**
 * Basic class for CCHPortal views
 *
 * Author: Luca Bertoncello <lucabert@lucabert.de>
 * Creation date: 12.02.2016 11:16:42
 */

abstract class GUIView extends myMVC_BaseView
{
  /**
   * Prepare to render the View
   * 
   * @return boolean                true if the page can be display, false otherwise
   */
  public function preRender()
  {
    global $config;

    $this->engine->registerFunction('getActionGroup', array('GUIView', 'getActionGroup'));
    $this->engine->registerModifier('normalizeNumber', array('GUIView', 'normalizeNumber'));

    $user = self::getLoggedUser();
    $this->setVariable('user', $user);
    $this->setVariable('CURRENTVERSION', $this->session->getFromNamespace('main', 'version'));
    $this->setVariable('currentType', $this->session->getFromNamespace('main', 'currentType'));
    $this->setVariable('adminTypes', Account::getAdminTypes());
    $this->setVariable('popupMessage', $this->getParameterFromPreviousPage('popupMessage'));

    return true;
  }

  /**
   * Template-function to return the CSS of the given action
   * 
   * @param array $param                Associative array with the parameter.
   *                                    Needed is "class" with the class name
   * @param $engine                     The engine (typically myMVC_SmartyEngine)
   * @return string                     The CSS class of the given action
   */
  public static function getActionGroup($params, &$engine)
  {
    if($params['class'] !== NULL)
    {
      $session = myMVC_HttpSession::getInstance();
      if(myMVC_Controller::hasUserRightForAction($params['class']))
      {
        if($params['class'] !== NULL)
        {
          if($params['var'] !== NULL)
            $engine->assign($params['var'], call_user_func($params['class'] .'::getActionGroup'));
          else
            return call_user_func($params['class'] .'::getActionGroup');
        }
      }
      else
      {
        $msg = myMVC_Logger::doLog(__METHOD__, __LINE__,
                sprintf("Action class %s does not exists", $params['class']));
        throw new myMVC_MVCException($msg);
      }
    }
  }
  
  /**
   * Normalisiert die Telefonnummer
   *
   * @param string $number              Die zu normalisieren Telefonnummer
   * @return string                     Die normalisierte Nummer
   */
  public static function normalizeNumber($number)
  {
    return Message::normalizeNumber($number);
  }
}
?>
