<?php
class ManageUserView extends GUIView
{
  public function __construct($engine, $session)
  {
    parent::__construct($engine, $session);
    $this->setTemplate('manageUser.tpl');
  }

  /**
   * Returns the token used to identify the current View
   * 
   * @return string                 The token
   */
  public static function getViewToken()
  {
    return 'manageUser';
  }

  /**
   * Prepare to render the View
   * 
   * @return boolean                true if the page can be display, false otherwise
   */
  public function preRender()
  {
    global $config;

    parent::preRender();

    $user = self::getLoggedUser();
    $this->setVariable('user', $user);
    $this->session->useNamespace('manageUser');
    foreach(array('canModifyAlias', 'canSetAutoresponder', 'canUseFilters', 'userType', 'pipeParameters') as $f)
      $this->setVariable($f, $this->getParameterFromPreviousPage($f));
    $this->setObject('accountTypes', Account::getAccountTypes());
    $this->setObject('userTypes', Account::getAdminTypes($user->getIsAdmin()));
    $this->setObject('accounts', $this->getParameterFromPreviousPage('accounts'));
    $this->setObject('availablePipes', $config['MBOXCONFIG']['PIPES']);
    if($user->getIsAdmin() == 't')
      $this->setObject('domains', Domain::callFinder('findAll', array()));
    else
      $this->setObject('domains', Domain::getDomainsForUser($user->getAccountname()));
    if($this->getParameterFromPreviousPage('error') === true)
      $this->setAllSubmitFields();

    return true;
  }
}
?>
