<?php
/**
 * DB-Class für userpref
 */
class Userpref extends myMVC_BaseDB
{
  public function __construct()
  {
    parent::__construct('userpref',
                        array('prefid'                => 'Userpref::checkAutoIncrementalId',
                              'accountname'           => 'Userpref::checkString255NotNull',
                              'preference'            => 'Userpref::checkString255NotNull',
                              'value'                 => 'Userpref::checkTextNotNull',
                        ),
                        array('prefid' => 'pk'),
                        array());
    $this->registerFinder('findAll', array(), array());
    $this->registerFinder('findByAccountname', array('accountname' => 'LIKE'), array());
    $this->registerFinder('findByAccountnameAndValue', array('accountname' => 'LIKE', 'value' => 'LIKE'), array());
    $this->registerCounter('getCountAll', array(), array());
    $this->registerCounter('getCountByAccountname', array('accountname' => 'LIKE'), array());
  }

  public static function getPreferenceTypes()
  {
    return array(
          'blacklist_from'    => _('Blacklist Absender'),
          'blacklist_to'      => _('Blacklist Empf&auml;nger'),
          'blacklist_subject' => _('Blacklist Betreff'),
          'whitelist_from'    => _('Whitelist Absender'),
          'whitelist_to'      => _('Whitelist Empf&auml;nger'),
          'whitelist_subject' => _('Whitelist Betreff'),
    );
  }

  /**
   * Gibt die Sortierungsstring, die bei der Anzeige benutzt wird, zurück
   * 
   * @return string                    Die Sortierungsstring
   */
  public static function getSortString()
  {
    return "preference LIKE 'blacklist_%' DESC, preference LIKE 'whitelist_%' DESC, prefid ASC";
  }

  /**
   * Check function for TEXT NOT NULL
   */
  public static function checkTextNotNull($value, $type)
  {
    if($value === NULL)
      return false;

    return !(!is_string($value) || strlen($value) == 0 || strlen($value) > 65535);
  }
}
?>